#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-iniconfig.spec)

Summary:	Brain-dead simple config-ini parsing
Summary(pl.UTF-8):	Bezmyślnie prosta analiza formatu config-ini
Name:		python-iniconfig
# keep 1.x here for python2 support
Version:	1.1.1
Release:	8
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/iniconfig/
Source0:	https://files.pythonhosted.org/packages/source/i/iniconfig/iniconfig-%{version}.tar.gz
# Source0-md5:	0b7f3be87481211c183eae095bcea6f1
URL:		https://pypi.org/project/iniconfig/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools >= 1:41.2.0
BuildRequires:	python-setuptools_scm >= 3
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools >= 1:41.2.0
BuildRequires:	python3-setuptools_scm >= 3
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
iniconfig is a small and simple INI-file parser module.

%description -l pl.UTF-8
iniconfig to mały i prosty moduł parsera plików INI.

%package -n python3-iniconfig
Summary:	Brain-dead simple config-ini parsing
Summary(pl.UTF-8):	Bezmyślnie prosta analiza formatu config-ini
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-iniconfig
iniconfig is a small and simple INI-file parser module.

%description -n python3-iniconfig -l pl.UTF-8
iniconfig to mały i prosty moduł parsera plików INI.

%prep
%setup -q -n iniconfig-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python} -m pytest testing
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest testing
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGELOG LICENSE README.txt example.ini
%{py_sitescriptdir}/iniconfig
%{py_sitescriptdir}/iniconfig-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-iniconfig
%defattr(644,root,root,755)
%doc CHANGELOG LICENSE README.txt example.ini
%{py3_sitescriptdir}/iniconfig
%{py3_sitescriptdir}/iniconfig-%{version}-py*.egg-info
%endif
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-iniconfig.git;a=log;h=master

* Wed May 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 440c1c2
- disable python3 here, release 8

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 103f97d
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b89f0ee
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 2b60648
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3565b0b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3998d1f
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> b742e96
- setuptools epoch

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 4e2ee39
- release 2 (by relup.sh)

* Thu Feb 04 2021 Jakub Bogusz <qboosh@pld-linux.org> c929a14
- new

